using Furion.DatabaseAccessor;
using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Xml.Serialization;

namespace Ewide.Core
{
    [Table("sys_user_area")]
    [Comment("用户授权区域信息")]
    public class SysUserArea: IEntity
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [Comment("用户Id")]
        [Column("SysUserId", TypeName = "varchar(36)")]
        public string SysUserId { get; set; }
        [XmlIgnore]
        public SysUser SysUser { get; set; }
        [Comment("系统使用的区域代码")]
        [MaxLength(10)]
        public string AreaCode { get; set; }
        [XmlIgnore]
        public SysAreaCode Area { get; set; }
    }
}
